// swift-tools-version: 5.5

import PackageDescription

let package = Package(
    name: "Push-iOS",
    platforms: [
        .macOS(.v10_15),
        .iOS(.v13),
    ],
    products: [
        .library(
            name: "Push",
            targets: ["Push"]),
    ],
    dependencies: [
        .package(url: "https://christophhagen.de/git/ch/Push-Definitions.git", from: "1.0.0"),
        .package(url: "https://github.com/swift-server-community/APNSwift.git", from: "4.0.0"),
        .package(url: "https://github.com/apple/swift-crypto.git", "1.0.0" ..< "3.0.0")
    ],
    targets: [
        .target(
            name: "Push",
            dependencies: [
                .product(name: "PushMessageDefinitions", package: "Push-Definitions"),
                .product(name: "Crypto", package: "swift-crypto")
            ]),
    ]
)
